/**
 * RNodeClientFactory(インターフェース)
 * 経路決定ノードクライアントを作成するファクトリ
 * 必要に応じて新しいインスタンスを追加する．必要ない場合は，既存のものを返す
 */
package org.logical_paradox.rss.router;
import java.rmi.RemoteException;

import org.logical_paradox.rss.Service;

public interface RNodeClientFactory extends Service {
	public RoutingNodeClient bindSearchNode() throws RemoteException;
	public void unbindSearchNode( String robotId ) throws RemoteException;
	public String getNodeId() throws RemoteException;
	public void addUnTracedURL( String url ) throws RemoteException;
	public String[] getClientNames() throws RemoteException;
	public void removeUnTracedURL( String url ) throws RemoteException;
	public String[] getAllowedRoutingIPRanges() throws RemoteException;
}

// end of RNodeClientFactory.java
